Subject: Re: [PATCH v8 0/9] add ref content check for files backend

From: shejialuo <[email-masked]>
Date: Fri, 15 Nov 2024 19:10:03 +0800

On Fri, Nov 15, 2024 at 12:51:49AM +0800, shejialuo wrote:
> Hi all:
> 
> This new version solves the following problem:
> 
> 1. when reading the content of the ref file, we do not use
> "fsck_report_ref" function. It's not suitable.
> 2. Add a new test for symlink worktree test in the last patch. After
> writing the tets, find a bug. Fix the bug described below.
> 
> Because we have introduced the check for worktrees, we should not use
> "ref_store->gitdir", instead we need to use "ref_store->repo->gitdir" to
> get the main worktree "gitdir". After fixing this, the test is passed.
> 
> Thank Patrick to remind me about this. I forgot to add test thus making
> mistakes.
> 
> Thanks,
> Jialuo

I'd like to wait for couple of days for more reviews and comments from
Junio and Karthik.